INTERFACE
SUBROUTINE m7_nuck&
 & ( KIDIA , KFDIA, KLON , KLEV ,&
 & pso4g , ptp1 , prelhum, panew,&
 & pa4delt, pdz , PTSPHY&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
 USE YO_AERO_M7, ONLY: critn, naermod, nnucl
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV
REAL(KIND=JPRB),INTENT(IN) :: PTSPHY
REAL(KIND=JPRB),INTENT(IN) :: pdz(klon ,klev), ptp1(klon ,klev), prelhum(klon ,klev)
REAL(KIND=JPRB),INTENT(INOUT) :: pso4g(klon ,klev)
REAL(KIND=JPRB),INTENT(OUT) :: pa4delt(klon ,klev,naermod), panew(klon ,klev)
END SUBROUTINE m7_nuck
END INTERFACE
